openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jim Jagielski <...@jaguNET.com>
Subject Re: dmake
Date Thu, 15 Sep 2016 17:06:08 GMT

> On Sep 15, 2016, at 12:31 PM, Ariel Constenla-Haile <arielch@apache.org> wrote:
> 
> 
> Note that we could also update the AOO patch to make epm get rid of the
> PackageMaker, the patch already fixes the path:
> http://svn.apache.org/viewvc/openoffice/trunk/main/epm/epm-3.7.patch?revision=1413471&view=markup#l381
> We could change that system call.

The issue is that PackageMaker is old, old. It is no longer
even obtainable unless you are lucky enough to have an
old copy of the Xcode dev tools. So for people who wish to
build AOO under OSX, the dependency on PackageMaker is a
NoGo.

When Apple deprecated PackageMaker, they replaced it with
a command-line suite (pkg*). Unfortunately, all versions of
epm older than 4.3 have no concept of it and instead rely
on PackageMaker.

Sooooo it would be nice to be able to standardize on 4.3 for ALL
platforms, but that means applying the 3.7-patch to 4.3... that
is what I'm working on now at https://github.com/jimjag/epm/tree/aoo
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message